## org.eclipse.jet.taglib
Class AbstractCustomTag

    java.lang.Object
      org.eclipse.jet.taglib.AbstractCustomTag

All Implemented Interfaces:
  CustomTag

Direct Known Subclasses:
  AbstractContainerTag, AbstractEmptyTag, AbstractFunctionTag, AbstractOtherTag

    public abstract class AbstractCustomTag

extends java.lang.Object
implements CustomTag

An abstract base class for all implementations of `CustomTag`.

Constructor Summary
`AbstractCustomTag()`

Method Summary
`java.lang.String` `getAttribute(java.lang.String name)` Return the processed value of the tag attribute (with dynamic XPath expressions already resolved.
`JET2Writer` `getOut()` Return the writer to which the tag will write.
`CustomTag` `getParent()` Return the parent tag.
`java.lang.String` `getRawAttribute(java.lang.String name)` Return the 'raw' value of the named tag attribute.
`void` `setContext(JET2Context context)` Set the context of the tag.
`void` `setOut(JET2Writer out)` Set the writer to which the tag will write.
`void` `setParent(CustomTag parent)` Set the custom tag representing the parent of this tag.
`void` `setTagInfo(TagInfo td)` Set the tag info for the tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jet.taglib.CustomTag
`getKind`

Constructor Detail

### AbstractCustomTag

    public AbstractCustomTag()

Method Detail

### getParent

    public final CustomTag getParent()

  Description copied from interface: `CustomTag`
  Return the parent tag.

  Specified by:
    `getParent` in interface `CustomTag`
  Returns:
    the parent tag, or `null` if the tag has none.
  See Also:
    `CustomTag.getParent()`

### setParent

    public final void setParent(CustomTag parent)

  Description copied from interface: `CustomTag`
  Set the custom tag representing the parent of this tag.

  Specified by:
    `setParent` in interface `CustomTag`
  Parameters:
    `parent` - the parent tag, or `null` if the tag has none.
  See Also:
    `CustomTag.setParent(org.eclipse.jet.taglib.CustomTag)`

### setContext

    public final void setContext(JET2Context context)

  Description copied from interface: `CustomTag`
  Set the context of the tag. This is done by the compiler, and is not intended to be called by clients.

  Specified by:
    `setContext` in interface `CustomTag`
  Parameters:
    `context` - the context.

### setTagInfo

    public final void setTagInfo(TagInfo td)

  Description copied from interface: `CustomTag`
  Set the tag info for the tag. This is done by the compiler, and is not intended to be called by clients.

  Specified by:
    `setTagInfo` in interface `CustomTag`
  Parameters:
    `td` - the tag info.

### getRawAttribute

    public final java.lang.String getRawAttribute(java.lang.String name)

  Description copied from interface: `CustomTag`
  Return the 'raw' value of the named tag attribute.

  Specified by:
    `getRawAttribute` in interface `CustomTag`
  Parameters:
    `name` - the tag attribute name.
  Returns:
    the raw value or `null` if the attribute is not defined.

### getAttribute

    public final java.lang.String getAttribute(java.lang.String name)
                                        throws JET2TagException

  Description copied from interface: `CustomTag`
  Return the processed value of the tag attribute (with dynamic XPath expressions already resolved.

  Specified by:
    `getAttribute` in interface `CustomTag`
  Parameters:
    `name` - the tag attribute name.
  Returns:
    the processed value of `null` if the attribute is not defined.
  Throws:
    `JET2TagException` - if an error occurs while processing a dynmaic XPath expression.

### setOut

    public final void setOut(JET2Writer out)

  Description copied from interface: `CustomTag`
  Set the writer to which the tag will write.

  Specified by:
    `setOut` in interface `CustomTag`
  Parameters:
    `out` - a non-null instance of JET2Writer.

### getOut

    public final JET2Writer getOut()

  Description copied from interface: `CustomTag`
  Return the writer to which the tag will write.

  Specified by:
    `getOut` in interface `CustomTag`
  Returns:
    the tag's writer.

Copyright 2006 IBM Corporation and others. All Rights Reserved.